
 UNIT UnL01012 ;

 INTERFACE

 Const
   mvar  = 6 ;
   maxa  = 6 ;

 Var
   avar,evar,vinc  : Array[1..mvar] of Extended ;

 Procedure ForInitComp ;

 IMPLEMENTATION

 Uses
   UnConTyp ;

 { simple initail numerical values for some elements }

 Procedure ForInitComp ;
 Begin
   avar[1]:=1.1*GeoR0; { constant from UnL01010 }
   avar[2]:=1.5*GeoR0; { semi-major axis in km }
   avar[3]:=1.6*GeoR0;
   avar[4]:=1.8*GeoR0;
   avar[5]:=2.0*GeoR0;
   avar[6]:=4.0*GeoR0;
   evar[1]:=0.001;     { eccentricity }
   evar[2]:=0.005;
   evar[3]:=0.020;
   evar[4]:=0.100;
   evar[5]:=0.200;
   evar[6]:=0.700;
   vinc[1]:=51.2; { inclination in degree }
   vinc[2]:=98.1; { in degree }
   vinc[3]:=47.7; { in degree }
   vinc[4]:=73.4; { in degree }
   vinc[5]:=109.0; { in degree }
   vinc[6]:=64.3; { in degree }
 End;

 END.