
 { exercise 2 for lecture 1 }

 UNIT UnL01021 ;

 INTERFACE

 Uses
   UnForPrt , { for ResFile }
   UnL01022 ; { for maxp and TPol }

 Procedure PowerToDim ( z  : Extended ;  Var  zp  : TPol ) ;

 Procedure ToCheckUnitLegPol ;

 IMPLEMENTATION

 Procedure PowerToDim ( z  : Extended ;  Var  zp  : TPol ) ;
 Var
   nz  : Byte ;
 Begin
   zp[0]:=1.0;
   For nz:=1 To maxp Do  zp[nz]:=z*zp[nz-1];
 End;

 { to check the accurate expressions  Pn(+1)=+1,  Pn(-1)=(-1)^n }

 Procedure ToCheckUnitLegPol ;
 Var
   np,nt    : Byte ;
   nz,nn    : Byte ;
   a,za,zb  : Extended ;
   pza,pzb  : Extended ;
   zap,zbp  : TPol ; { type for TPol  in UnL01032 }
 Begin
   ReSet(ResFile);
   za:=+1.0;
   zb:=-1.0;
   PowerToDim(za,zap); { all powers for za }
   PowerToDim(zb,zbp); { all powers for zb }
   WriteLn(PrtFile,'    n','    i','z':10,'Pn(z)':22,'z':10,'Pn(z)':22);
   While  NOT SeekEOF(ResFile)  Do
     Begin
       ReadLn(ResFile,np); { order of the polinoms }
       ReadLn(ResFile,nt); { number of the terms an*z^n }
       pza:=0.0; { initial nullo }
       pzb:=0.0;
       For nn:=1 To nt Do
         Begin
           ReadLn(ResFile,nz,a); { power for z and amplitude }
           pza:=pza+a*zap[nz];
           pzb:=pzb+a*zbp[nz];
         End;
       If  np < 20
         Then
           WriteLn(np:5,nt:5,za:10:1,pza:22:16,zb:10:1,pzb:22:16);
       WriteLn(PrtFile,np:5,nt:5,za:10:1,pza:22:16,zb:10:1,pzb:22:16);
     End;
   Close(ResFile);
 End;

 END.
