
 UNIT UnL01023 ;

 INTERFACE

 Procedure ToCheckProductPol ;

 IMPLEMENTATION

 Uses
   UnForPrt , UnL01022 , UnL01021 ;

 Procedure ToCheckProductPol ;
 Var
   np,nt    : Byte ;
   nz,nn    : Byte ;
   az,pz    : Extended ;
   z,alp    : Extended ;
   va,vsum  : Extended ;
   zalp,zp  : TPol ;
 Begin
   z:=0.5;
   alp:=0.7;
   PowerToDim(alp,zalp); { from UnL01021 all power alpha^n }
   PowerToDim(z,zp);  { from UnL01021 all power z^n }
   va:=1/Sqrt(1-2*alp*z+Sqr(alp));
   vsum:=1+alp*z; { two terms initial }
   WriteLn(PrtFile,' alpha=',alp:10:2,'  z=',z:10:2,
                   '  producting function=',va:22:16);
   ReSet(ResFile);
   While  NOT SeekEOF(ResFile)  Do
     Begin
       ReadLn(ResFile,np); { order of the polinoms }
       ReadLn(ResFile,nt); { number of the terms an*z^n }
       pz:=0.0; { initial nullo for Legandre polinom Pnp(z) }
       For nn:=1 To nt Do
         Begin
           ReadLn(ResFile,nz,az); { power for z and amplitude }
           pz:=pz+az*zp[nz];
         End;
       vsum:=vsum+zalp[np]*pz;
       WriteLn(np:5,va:18:10,vsum:18:10,(vsum-va):25:16);
       WriteLn(PrtFile,np:5,va:18:10,vsum:18:10,(vsum-va):25:16);
     End;
   Close(ResFile);
 End;

 END.
