
 { to calculate right the values of the Legandre polinoms Pn(x)
   for any value x by using recurent formula without analytic operations }

 UNIT UnL01024 ;

 INTERFACE

 Procedure TheSameButRight ;

 Procedure ProductButRight ;

 IMPLEMENTATION

 Uses
   UnForPrt ;

 { by the use recurent formula
   n*Pn(z)=(2*n-1)*z*P(n-1)(z)-(n-1)*P(n-2)(z),  P0(z)=1, P1(z)=z }

 Procedure TheSameButRight ;
 Var
   i,n  : Byte ;
   q,r  : Extended ;
   x,p0,p1,p2  : Array[1..2] of Extended ;
 Begin
   x[1]:=+1; { two value for x }
   x[2]:=-1;
   WriteLn(PrtFile,' accurate formulae Pn(+1)=+1 , Pn(-1)=(-1)^n');
   For i:=1 To 2 Do
     Begin { initial value for the Legandre polinoms }
       p0[i]:=1;
       p1[i]:=x[i];
     End;
   For n:=2 To 255 Do
     Begin
       q:=n;
       r:=1.0/q;
       For i:=1 To 2 Do
         p2[i]:=(2*q-1)*r*x[i]*p1[i]-(q-1)*r*p0[i]; { recurent formula }
       WriteLn(PrtFile,n:4,x[1]:5:1,p2[1]:22:16,x[2]:10:1,p2[2]:22:16);
       For i:=1 To 2 Do
         Begin
           p0[i]:=p1[i];
           p1[i]:=p2[i];
         End;
     End;
 End;

 Procedure ProductButRight ;
 Var
   nn  : Byte ;
   q,r  : Extended ;
   z,a,aln  : Extended ;
   va,vsum  : Extended ;
   p0,p1,p2  : Extended ;
 Begin
   z:=0.95; { for z }
   a:=0.9; { for alpha }
   va:=1/Sqrt(1-2*a*z+Sqr(a));
   vsum:=1+a*z; { two terms initial }
   WriteLn(PrtFile,' alpha=',a:10:2,'  z=',z:10:2,
                   '  producting function=',va:22:16);
   aln:=a;
   p0:=1; { initial value for Legandre polinom P0(x)=+1 }
   p1:=z; { initial value for Legandre polinom P1(x)=+x }
   For nn:=2 To 255 Do
     Begin
       q:=nn;
       r:=1.0/q;
       p2:=(2*q-1)*r*z*p1-(q-1)*r*p0; { recurent formula }
       aln:=a*aln; { the next power for alpha }
       vsum:=vsum+aln*p2;
       WriteLn(PrtFile,nn:5,va:18:10,vsum:18:10,(vsum-va):25:16);
       p0:=p1;
       p1:=p2;
     End;
 End;

 END.