
 { for the exercise 1 of the lecture 2 }

 UNIT UnForPow ;

 INTERFACE

 Procedure InitValue ;

 Procedure InitValueZ ;

 Procedure PowerValue ;

 IMPLEMENTATION

 Uses
   UnForPrt , UnForRec ;

 Procedure RecToDim ( ch  : Char ;  ro  : TRecOne ) ;
 Begin
   Case  ch  Of
     'A' : Begin
             NumRecA:=NumRecA+1;
             DimRecA^[NumRecA]:=ro;
           End;
     'B' : Begin
             NumRecB:=NumRecB+1;
             DimRecB^[NumRecB]:=ro;
           End;
     'C' : Begin
             NumRecC:=NumRecC+1;
             DimRecC^[NumRecC]:=ro;
           End;
   End; { case ch }
 End;

 { initial value for 1+p*cosA }

 Procedure InitValue ;
 Var
   ro  : TRecOne ;
 Begin
   NumRecA:=0; { no record in massives }
   NumRecB:=0;
   NumRecC:=0;
   ro.np:=0;
   ro.na:=0;
   ro.am:=+1.0;
   RecToDim('B',ro); { +1 }
   RecToDim('C',ro); { +1 }
   ro.np:=1;
   ro.na:=1;
   ro.am:=+1.0;
   RecToDim('C',ro); { -p*cosA }
 End;

 { initial value for z/r=-s*cos~u }

 Procedure InitValueZ ;
 Var
   ro  : TRecOne ;
 Begin
   NumRecA:=0; { no record in massives }
   NumRecB:=0;
   NumRecC:=0;
   ro.np:=0;
   ro.na:=0;
   ro.am:=+1.0;
   RecToDim('B',ro); { +1 }
   ro.np:=1;
   ro.na:=1;
   ro.am:=+1.0;
   RecToDim('C',ro); { +p*cosA }
 End;

 Procedure RecToDimA ;
 Var
   nr  : Word ;
 Begin
   For nr:=1 To NumRecB Do
     DimRecA^[nr]:=DimRecB^[nr];
   NumRecA:=NumrecB;
   NumRecB:=0;
 End;

 Procedure CurrentTermsToB ( rb  : TRecOne ) ;
 Var
   kb  : Word ;
   bo  : Boolean ;
 Begin
   bo:=FALSE;
   kb:=0;
   While ( ( NOT bo ) AND ( kb < NumRecB ) )  Do
     Begin
       kb:=kb+1;
       If  ( ( rb.np = DimRecB^[kb].np )
            AND ( rb.na = DimRecB^[kb].na ) )
         Then { there is similar term }
           Begin
             bo:=TRUE;
             DimRecB^[kb].am:=DimrecB^[kb].am+rb.am
           End;
     End;
   If  NOT bo
     Then
       Begin
         NumRecB:=NumRecB+1;
         DimRecB^[NumRecB]:=rb;
       End;
 End;

 Procedure ForOneMult ( ra , rc  : TRecOne ) ; { to DimRecB }
 Var
   rb  : TRecOne ;
 Begin
   rb.np:=ra.np+rc.np; { to add powers of parameters }
   rb.am:=0.5*ra.am*rc.am; { to multiple amplitudes }
   rb.na:=ra.na-rc.na; { minus arguments for the first }
   If  rb.na < 0  Then  rb.na:=-rb.na;
   CurrentTermsToB(rb);
   rb.na:=ra.na+rc.na; { plus arguments for the second }
   CurrentTermsToB(rb);
 End;

 Procedure MultForDim ;
 Var
   ka  : Word ;
   kc  : Word ;
   ra  : TRecOne ;
   rc  : TRecOne ;
 Begin
   NumrecB:=0;
   For ka:=1 To NumRecA Do
     Begin
       ra:=DimRecA^[ka];
       For kc:=1 To NumRecC Do
         Begin
           rc:=DimRecC^[kc];
           ForOneMult(ra,rc); { to DimRecB }
         End;
     End;
 End;

 Procedure ToResFile ( nump  : Byte ) ;
 Var
   kb  : Word ;
 Begin
   WriteLn('power is',nump:4,'  number of terms is',NumRecB:10);
   WriteLn(ResFile,nump:5,'  power');
   WriteLn(ResFile,NumRecB:5,'  number of terms');
   For kb:=1 To NumRecB Do
     With  DimRecB^[kb]  Do
       WriteLn(ResFile,np:5,na:5,am:45:20,
                       '  p^',np:1,' * cos(',na:1,'*A)');
 End;

 Procedure PowerValue ;
 Var
   nump  : Byte ;
 Begin
   For nump:=1 To MaxPowM Do
     Begin
       RecToDimA ;
       MultForDim ;
       ToResFile(nump);
     End;
 End;

 END.