
 { to compare the expressions
   for the Legandre polinoms P_n(z/r)
   with the use powers of the term z/r=(-sin(i)*cos(u~)) }

 UNIT UnL01027 ;

 INTERFACE

 Procedure ToComPolElem ;

 IMPLEMENTATION

 Uses
   UnConTyp , UnForPrt , UnL01022 , UnL01021 ;

 Var
   spower  : TPol ;

 Procedure ToComPolElem ;
 Var
   fr  : Text ;
   nr  : Byte ;
   nl  : Byte ;
   nt  : Word ;
   nc  : Word ;
   p0  : Extended ;
   p1  : Extended ;
   p2  : Extended ;
   ms  : Word ;
   mu  : Word ;
   sp  : Extended ;
   up  : Extended ;
   su  : Extended ;
   uu  : Extended ;
   zr  : Extended ;
   qn  : Extended ;
   np  : ShortInt ;
   na  : ShortInt ;
   am  : Extended ;
   pc  : Extended ;
 Begin
   WriteLn(PrtFile,' to compare two values');
   WriteLn(PrtFile,'    of the Legandre polinoms P_n(z/r)');
   WriteLn(PrtFile,' the first be obtained by using expressions');
   WriteLn(PrtFile,' P_n(z/r)=P_n(-sin(i)*cos(u~))=');
   WriteLn(PrtFile,'        =sum_k=0((sum_j=0(-sini)^j)*cos(k*u~))');
   WriteLn(PrtFile,' but the second by right calculations');
   Assign(fr,'lect0201.rep'); { the expressions for Legandre polinoms }
   nr:=0;
 Repeat
   ms:=Random(150); { random value for the incination }
   mu:=Random(360); { random value for the argument of perigei }
   WriteLn('          inclination =',ms:5,'  in degree');
   WriteLn('  argument of perigei =',mu:5,'  in degree');
   WriteLn(PrtFile,'          inclination =',ms:5,'  in degree');
   WriteLn(PrtFile,'  argument of perigei =',mu:5,'  in degree');
   sp:=GraRad*ms; { inclination in radian }
   sp:=Sin(sp); { sinus of inclination }
   up:=GraRad*mu; { argument of perigei in radian }
   su:=Sin(up); { sinus of argument of perigei }
   zr:=sp*su; { argument of the Legandre polinoms z/r=sin(i)*sin(u) }
   sp:=-sp; { from u to u~ : +sin(i)*sin(u)=-sin(i)*cos(u~) }
   uu:=up+Pi/2; { from u to u~ : u = u~ - Pi/2 }
   PowerToDim(sp,spower);
   p0:=1; { the value for the nullo PolLeg }
   p1:=zr; { the value for the first PolLeg }
   ReSet(fr);
   While  NOT SeekEOF(fr)  Do
     Begin
       ReadLn(fr,nl); { power of the polinom }
       ReadLn(fr,nt); { number of the terms }
       pc:=0.0; { a value for the comparing }
       For nc:=1 To nt Do
         Begin
           ReadLn(fr,np,na,am);
           pc:=pc+am*spower[np]*Cos(na*uu);
         End;
       qn:=nl; { for the simple recurrent formula }
       p2:=(2.0*qn-1.0)/qn*zr*p1-(qn-1.0)/qn*p0;
       If  nl < 6
         Then
           WriteLn(nl:4,nt:6,p2:22:16,(pc-p2):22:16);
       WriteLn(PrtFile,nl:4,nt:6,p2:22:16,(pc-p2):22:16);
       p0:=p1; { for the next recurrent formula }
       p1:=p2;
     End;
   nr:=nr+1;
 Until  nr = 5 ;
   Close(fr);
 End;

 END.
